Name:		rawtherapee
Version:	5.1
Release:	%mkrel 1
Summary:	Raw image processing software

Group:		Graphics/Utilities
License:	GPLv3 and MIT and IJG
URL:		http://www.rawtherapee.com/
Source0:	http://rawtherapee.com/shared/source/%{name}-%{version}.tar.xz
Patch0:		rawtherapee-5.1-link.patch
BuildRequires:	cmake >= 2.6
BuildRequires:	pkgconfig(expat) >= 2.0
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fftw3f)
BuildRequires:	pkgconfig(gio-2.0) >= 2.16
BuildRequires:	pkgconfig(giomm-2.4) >= 2.12
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.16
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16
BuildRequires:	pkgconfig(gthread-2.0) >= 2.16
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.16
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.16
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	bzip2-devel
BuildRequires:	mercurial
BuildRequires:	libjpeg-devel 
BuildRequires:	pkgconfig(libtiff-4) 
BuildRequires:	pkgconfig(libpng)
BuildRequires:	libgomp-devel
Requires:	hicolor-icon-theme

%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -std=c++11"
%cmake -DBUILD_SHARED_LIBS=OFF
%make

%install
%make_install -C build

# These file are taken from the root already
rm -rf %{buildroot}%{_datadir}/doc/rawtherapee

%files
%doc AUTHORS.txt LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Jun 02 2017 neoclust <neoclust> 5.1-1.mga6
+ Revision: 1105795
- New version 5.1

* Fri Feb 19 2016 daviddavid <daviddavid> 4.2-1.mga6
+ Revision: 967617
- add three patches from Debian to fix build with c++11 and new sigc++
- update files list

  + akien <akien>
    - Version 4.2

* Wed May 13 2015 luigiwalser <luigiwalser> 4.1-4.mga5
+ Revision: 821971
- adapt patch from dcraw to fix CVE-2015-3885

* Wed Oct 15 2014 umeabot <umeabot> 4.1-3.mga5
+ Revision: 739735
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1-2.mga5
+ Revision: 688619
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 fwang <fwang> 4.1-1.mga5
+ Revision: 660829
- update filelist
- 4.1

* Sun Feb 09 2014 luigiwalser <luigiwalser> 4.0.12-3.mga5
+ Revision: 587717
- use appropriate upstream tarball

* Sun Feb 09 2014 luigiwalser <luigiwalser> 4.0.12-2.mga5
+ Revision: 587612
- add patch from fedora to fix CVE-2013-1438 in embedded copy of dcraw

* Thu Feb 06 2014 fwang <fwang> 4.0.12-1.mga5
+ Revision: 584176
- update file list
- new version 4.0.12

* Sat Oct 19 2013 umeabot <umeabot> 4.0.11-2.mga4
+ Revision: 527584
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 4.0.11-1.mga4
+ Revision: 441343
- do not build shared libs
- build static libs
- new version 4.0.11

* Mon Jun 03 2013 fwang <fwang> 4.0.7-4.mga4
+ Revision: 436200
- rebuild for new libpng

* Thu Jan 24 2013 fwang <fwang> 4.0.7-3.mga3
+ Revision: 391939
- disable shared build
- build static lib
- more linkage
- link against giomm
- build verbose
- br bzip2
- build verbose
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 malo <malo> 4.0.7-1.mga2
+ Revision: 204276
- use %%mkrel
- change group to graphics
- Stripped archive from mercurial information.
- Update to 4.0.7
- spec clean-up after import from Mandriva (thanks to Alexander Barakin)
- imported package rawtherapee


* Wed Dec 07 2011 Alexander Khrukin <akhrukin@mandriva.org> 4.0.6-1
+ Revision: 738577
- version update 4.0.6

* Tue Oct 25 2011 Alexander Barakin <abarakin@mandriva.org> 4.0.4-1
+ Revision: 707133
- imported package rawtherapee

